org.apache.cassandra.db

## Class DataTracker.SSTableIntervalTree

- java.lang.Object
- - org.apache.cassandra.utils.IntervalTree<RowPosition,SSTableReader,Interval<RowPosition,SSTableReader>>
  - - org.apache.cassandra.db.DataTracker.SSTableIntervalTree

- All Implemented Interfaces:
    java.lang.Iterable<Interval<RowPosition,SSTableReader>>
  Enclosing class:
    DataTracker

      public static class DataTracker.SSTableIntervalTree
      extends IntervalTree<RowPosition,SSTableReader,Interval<RowPosition,SSTableReader>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.utils.IntervalTree

      `IntervalTree.Serializer<C,D,I extends Interval<C,D>>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTracker.SSTableIntervalTree` | `empty()`

    - ### Methods inherited from class org.apache.cassandra.utils.IntervalTree

      `build, build, comparator, emptyTree, equals, hashCode, intervalCount, isEmpty, iterator, max, min, search, search, serializer, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### empty

          public static DataTracker.SSTableIntervalTree empty()

Copyright © 2014 The Apache Software Foundation